%define anolis_release 1

%global pypi_name responses

Name:           python-%{pypi_name}
Version:        0.23.1
Release:        %{anolis_release}%{?dist}
Summary:        Python library to mock out calls with Python requests
License:        ASL 2.0
URL:            https://github.com/getsentry/responses
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
A utility library for mocking out the requests Python library.

%package -n python3-%{pypi_name}
Summary:        Python library to mock out calls with Python requests

%description -n python%{python3_pkgversion}-%{pypi_name}
A utility library for mocking out the requests Python library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
# we do not ship tests
sed -i -e '/\/tests\//d' %{pyproject_files}

%check
# skipping tests due to missing dependencies: python3-pytest-httpserver
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%exclude %{python3_sitelib}/responses/tests

%changelog
* Sun May 14 2023 Funda Wang <fundawang@yeah.net> - 0.23.1-1
- Import package for anolis 23
